Package org.apache.sling.testing.clients.util

# Class SlingParameter

java.lang.Object
org.apache.sling.testing.clients.util.SlingParameter

public class SlingParameter extends Object

## Constructor Summary

Constructors
Constructor
Description
`SlingParameter(String parameterName)`

## Method Summary

Modifier and Type
Method
Description
`SlingParameter`
`delete()`
`SlingParameter`
`multiple()`
`List<org.apache.http.NameValuePair>`
`toNameValuePairs()`
`SlingParameter`
`typeHint(String typeHint)`
`SlingParameter`
`value(String value)`
`SlingParameter`
`values(String[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingParameter

public SlingParameter(String parameterName)

## Method Details

### value

public SlingParameter value(String value)

### values

public SlingParameter values(String[] values)

### typeHint

public SlingParameter typeHint(String typeHint)

### delete

public SlingParameter delete()

### multiple

public SlingParameter multiple()

### toNameValuePairs

public List<org.apache.http.NameValuePair> toNameValuePairs()